View Issue Details

IDProjectCategoryView StatusLast Update
14052Bug reports[All Projects] Import/Exportpublic2018-09-15 17:04
ReporterdawidmosAssigned Todominikvitt 
PrioritynoneSeveritycrash 
Status resolvedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.14.x 
Summary14052: Cant export to XLS
Description

Lastest version of limesurvey.
Cant open, files are broken (excel shows) - when exporting large responses (2488).

Steps To Reproduce

Responses -> statistics - > output format: Excel

Additional Information

Errors (debug:2):
Methods with the same name as their class will not be constructors in a future version of PHP; Xlswriter has a deprecated constructor
application/third_party/pear/Spreadsheet/Excel/Xlswriter.php(46)
class Xlswriter extends Spreadsheet_Excel_Writer_Workbook
Stack Trace
/application/helpers/admin/statistics_helper.php(3889): require_once()
$helper->generate_statistics($surveyid, $summary, $summary, $usegraph, $outputType, 'DD', $statlang);
surveys/2018/framework/web/actions/CAction.php(109): ReflectionMethod->invokeArgs(statistics, array("464129", null))
return parent::runWithParamsInternal($this, $oMethod, $params);
...

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.14.8+180829
I will donate to the project if issue is resolvedNo
Browseredge, chrome
Database & DB-Versionmysqld Ver 10.1.26-MariaDB-0+deb9u1 for debian-linux-gnu on x86_64 (Debian 9.1)
Operating System (Server)linux debian
Webserver software & versionApache/2.4.25
PHP Version7.2, 7.0

Activities

guest

guest

2018-09-14 12:46

viewer   ~49034

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27950

dawidmos

dawidmos

2018-09-15 17:04

reporter   ~49055

Thank You!

Related Changesets

LimeSurvey: master b34ee0b1

2018-09-14 12:46:06

Dominik Vitt

Details Diff
Fixed issue 14052: Can't export response statistics to XLS with debug=2

Dev: updated PEAR packages to the latest versions from the repositories
mod - application/helpers/admin/statistics_helper.php Diff File
mod - application/helpers/userstatistics_helper.php Diff File
mod - application/third_party/pear/OLE/OLE.php Diff File
mod - application/third_party/pear/OLE/PPS.php Diff File
mod - application/third_party/pear/OLE/PPS/File.php Diff File
mod - application/third_party/pear/OLE/PPS/Root.php Diff File
mod - application/third_party/pear/PEAR.php Diff File
add - application/third_party/pear/Spreadsheet/Excel/Writer.php Diff File
mod - application/third_party/pear/Spreadsheet/Excel/Writer/BIFFwriter.php Diff File
mod - application/third_party/pear/Spreadsheet/Excel/Writer/Format.php Diff File
mod - application/third_party/pear/Spreadsheet/Excel/Writer/Parser.php Diff File
mod - application/third_party/pear/Spreadsheet/Excel/Writer/Validator.php Diff File
mod - application/third_party/pear/Spreadsheet/Excel/Writer/Workbook.php Diff File
mod - application/third_party/pear/Spreadsheet/Excel/Writer/Worksheet.php Diff File
rm - application/third_party/pear/Spreadsheet/Excel/Xlswriter.php Diff File

Issue History

Date Modified Username Field Change
2018-09-12 16:00 dawidmos New Issue
2018-09-12 17:13 LouisGac Assigned To => dominikvitt
2018-09-12 17:13 LouisGac Status new => assigned
2018-09-14 12:46 Changeset attached => LimeSurvey master b34ee0b1
2018-09-14 12:46 guest Note Added: 49034
2018-09-14 12:46 guest Resolution open => fixed
2018-09-14 12:47 dominikvitt Status assigned => resolved
2018-09-14 12:47 dominikvitt Fixed in Version => 3.14.x
2018-09-15 17:04 dawidmos Note Added: 49055